diff --git a/src/macfont.h b/src/macfont.h
index abb37cd..3289990 100644
--- a/src/macfont.h
+++ b/src/macfont.h
@@ -45,12 +45,12 @@ struct mac_glyph_layout
   CGGlyph glyph_id;
 };
 
-#if !defined (MAC_OS_X_VERSION_10_8)
+#if MAC_OS_X_VERSION_MAX_ALLOWED < 1080
 enum {
   kCTFontTraitItalic = kCTFontItalicTrait,
   kCTFontTraitBold = kCTFontBoldTrait,
   kCTFontTraitMonoSpace = kCTFontMonoSpaceTrait,
-#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1070 && defined (MAC_OS_X_VERSION_10_7)
+#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1070
   kCTFontTraitColorGlyphs = kCTFontColorGlyphsTrait
 #else
   kCTFontTraitColorGlyphs = (1 << 13)
diff --git a/src/macfont.m b/src/macfont.m
index a79feac..19145f9 100644
--- a/src/macfont.m
+++ b/src/macfont.m
@@ -2875,7 +2875,7 @@ So we use CTFontDescriptorCreateMatchingFontDescriptor (no
                                            @selector(backingScaleFactor)])
 #endif
             CGContextSetLineWidth (context, synthetic_bold_factor * font_size
-                                   * [(EmacsWindow *) [FRAME_NS_VIEW(f) window] backingScaleFactor]);
+                                   * [[FRAME_NS_VIEW(f) window] backingScaleFactor]);
 #if MAC_OS_X_VERSION_MIN_REQUIRED < 1070
           else
 #endif
@@ -2891,7 +2891,7 @@ So we use CTFontDescriptorCreateMatchingFontDescriptor (no
       CGContextSetTextMatrix (context, atfm);
       CGContextSetTextPosition (context, text_position.x, text_position.y);
 
-#if defined (MAC_OS_X_VERSION_10_7) && MAC_OS_X_VERSION_MAX_ALLOWED >= 1070
+#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1070
       if (macfont_info->color_bitmap_p
 #if MAC_OS_X_VERSION_MIN_REQUIRED < 1070
           && CTFontDrawGlyphs != NULL
@@ -2905,7 +2905,7 @@ So we use CTFontDescriptorCreateMatchingFontDescriptor (no
             }
         }
       else
-#endif	/* defined (MAC_OS_X_VERSION_10_7) && MAC_OS_X_VERSION_MAX_ALLOWED >= 1070 */
+#endif	/* MAC_OS_X_VERSION_MAX_ALLOWED >= 1070 */
         {
           CGContextSetFont (context, macfont_info->cgfont);
           CGContextSetFontSize (context, font_size);
@@ -3900,7 +3900,7 @@ So we use CTFontDescriptorCreateMatchingFontDescriptor (no
 {
   CFArrayRef result = NULL;
 
-#if defined (MAC_OS_X_VERSION_10_8) && MAC_OS_X_VERSION_MAX_ALLOWED >= 1080
+#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1080
 #if MAC_OS_X_VERSION_MIN_REQUIRED < 1080
   if (CTFontCopyDefaultCascadeListForLanguages != NULL)
 #endif
diff --git a/src/nsfns.m b/src/nsfns.m
index 3f20c8e..e19e4e2 100644
--- a/src/nsfns.m
+++ b/src/nsfns.m
@@ -1592,7 +1592,7 @@ Frames are listed from topmost (first) to bottommost (last).  */)
 }
 
 #ifdef NS_IMPL_COCOA
-#if MAC_OS_X_VERSION_MAX_ALLOWED > 1090 && defined (MAC_OS_X_VERSION_10_9)
+#if MAC_OS_X_VERSION_MAX_ALLOWED > 1090
 #define MODAL_OK_RESPONSE NSModalResponseOK
 #endif
 #endif
diff --git a/src/nsterm.h b/src/nsterm.h
index 750b6fe..6ed88ec 100644
--- a/src/nsterm.h
+++ b/src/nsterm.h
@@ -40,23 +40,12 @@ typedef float EmacsCGFloat;
 
 /* macOS 10.7 introduces some new constants, enums and methods.
    Forward declare them when building on macOS 10.6.  */
-#if !defined (MAC_OS_X_VERSION_10_7) && MAC_OS_X_VERSION_MAX_ALLOWED >= 1070
+#if !defined (MAC_OS_X_VERSION_10_7)
 #define NSFullScreenWindowMask                      (1 << 14)
 #define NSWindowCollectionBehaviorFullScreenPrimary (1 << 7)
 #define NSApplicationPresentationFullScreen         (1 << 10)
 #define NSApplicationPresentationAutoHideToolbar    (1 << 11)
 #define NSAppKitVersionNumber10_7                   1138
-
-// As in https://chromium.googlesource.com/chromium/blink/+/master/Source/platform/mac/NSScrollerImpDetails.h.
-enum {
-  NSScrollerStyleLegacy = 0,
-  NSScrollerStyleOverlay = 1
-};
-typedef NSInteger NSScrollerStyle;
-
-@interface NSScroller(NSObject)
-+ (CGFloat)scrollerWidthForControlSize:(NSControlSize)controlSize scrollerStyle:(NSScrollerStyle)scrollerStyle;
-@end
 #endif /* !defined (MAC_OS_X_VERSION_10_7) && MAC_OS_X_VERSION_MAX_ALLOWED >= 1070 */
 
 /* ==========================================================================
@@ -491,10 +480,6 @@ typedef id instancetype;
 {
   NSPoint grabOffset;
 }
-#if !defined (MAC_OS_X_VERSION_10_7) && MAC_OS_X_VERSION_MAX_ALLOWED >= 1070
-- (NSRect)convertRectToScreen:(NSRect)rect;
-@property(readonly) CGFloat backingScaleFactor;
-#endif
 @end
 
 
